#ifndef ACK_H
#define ACK_H 

#include <stdarg.h>
#include <stdio.h>
#include <strings.h>
#include <string>
#include <unistd.h>
#include <stdlib.h>
#include <iostream.h>
#include <fstream>

//#ifdef __cplusplus
//extern "C" {
//#endif


void AK_add_to_ack(char * filename, char * fmt, ...);

char * AK_ack_file_name_generate( const char * tmpdir, const char * prefix);

void AK_send_ack( const char * filename, const char * to_address, const char * mailercommand);

void AK_delete_ack( const char * filename );

void AK_log_ack( const char * filename, const char * log_file );

void AK_add_to_ack_string(const char * file_name, const string msg);

//#ifdef __cplusplus
// }
//#endif

//void AK_add_to_ack_string(const char * file_name, const string msg);


#endif

